## chipmunk 5.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
cmake_policy(SET CMP0001 NEW) # don't use MAKE_BACKWARDS_COMPATIBILITY but policies instead

project(chipmunk)

# to change the prefix, run cmake with the parameter:
#   -D CMAKE_INSTALL_PREFIX=/my/prefix

# to change the build type, run cmake with the parameter:
#   -D CMAKE_BUILD_TYPE=<build-type>
# run "cmake --help-variable CMAKE_BUILD_TYPE" for details
set(CMAKE_BUILD_TYPE Release)

# other options for the build, you can i.e. activate the ruby bindings by passing
#   -D BUILD_RUBY_EXT=ON
# to cmake. Other options analog
option(BUILD_DEMOS "Build the demo applications" ON)
option(INSTALL_DEMOS "Install the demo applications" OFF)
option(BUILD_SHARED "Build and install the shared library" OFF)
option(BUILD_STATIC "Build as static library" ON)
option(INSTALL_STATIC "Install the static library" ON)
option(BUILD_RUBY_EXT "Build and install the Ruby extension" OFF)

# sanity checks...
if(INSTALL_DEMOS)
  set(BUILD_DEMOS ON FORCE)
endif(INSTALL_DEMOS)
# thse need the static lib too
if(BUILD_DEMOS OR BUILD_RUBY_EXT OR INSTALL_STATIC)
  set(BUILD_STATIC ON FORCE)
endif(BUILD_DEMOS OR BUILD_RUBY_EXT OR INSTALL_STATIC)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99") # allways use gnu99
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -ffast-math") # extend release-profile with fast-math
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall") # extend debug-profile with -Wall

add_subdirectory(src)

if(BUILD_DEMOS)
  add_subdirectory(Demo)
endif(BUILD_DEMOS)

if(BUILD_RUBY_EXT)
  add_subdirectory(ruby)
endif(BUILD_RUBY_EXT)

=== Demo/CMakeLists.txt ===
find_package(OpenGL REQUIRED)
find_package(GLUT REQUIRED)

set(chipmunk_demos_include_dirs
  ${chipmunk_SOURCE_DIR}/include/chipmunk
  ${GLUT_INCLUDE_DIR}
  ${OPENGL_INCLUDE_DIR}
)

set(chipmunk_demos_libraries
  chipmunk_static
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
)

file(GLOB chipmunk_demos_source_files "*.c")

include_directories(${chipmunk_demos_include_dirs})
add_executable(chipmunk_demos ${chipmunk_demos_source_files})
target_link_libraries(chipmunk_demos ${chipmunk_demos_libraries})

if(INSTALL_DEMOS)
  install(TARGETS chipmunk_demos RUNTIME DESTINATION bin)
endif(INSTALL_DEMOS)

=== ruby/CMakeLists.txt ===
find_package(Ruby REQUIRED)

file(GLOB ruby_ext_source_files "ext/*.c")

set(ruby_ext_include_dirs
  ${chipmunk_SOURCE_DIR}/include/chipmunk
  ${RUBY_INCLUDE_PATH}
)

set(ruby_ext_libraries
  chipmunk_static
  ${RUBY_LIBRARY}
)

include_directories(${ruby_ext_include_dirs})
add_library(ruby_ext MODULE ${ruby_ext_source_files})
target_link_libraries(ruby_ext ${ruby_ext_libraries})

set_target_properties(ruby_ext PROPERTIES OUTPUT_NAME chipmunk PREFIX "") # else the name would be libruby_ext
if(APPLE)
  set_target_properties(ruby_ext PROPERTIES SUFFIX ".bundle") # else it get's .so, even if the type ls module!
endif(APPLE)

install(TARGETS ruby_ext DESTINATION ${RUBY_SITEARCH_DIR})
install(FILES "chipmunk_object.rb" DESTINATION ${RUBY_SITELIB_DIR})

=== src/CMakeLists.txt ===
file(GLOB chipmunk_source_files "*.c" "constraints/*.c")
file(GLOB chipmunk_public_header "${chipmunk_SOURCE_DIR}/include/chipmunk/*.h")
file(GLOB chipmunk_constraint_header "${chipmunk_SOURCE_DIR}/include/chipmunk/constraints/*.h")

include_directories(${chipmunk_SOURCE_DIR}/include/chipmunk)

if(BUILD_SHARED)
  add_library(chipmunk SHARED
    ${chipmunk_source_files}
  )
  # set the lib's version number
  set_target_properties(chipmunk PROPERTIES VERSION 5.3.4)
  install(TARGETS chipmunk RUNTIME DESTINATION lib LIBRARY DESTINATION lib)
endif(BUILD_SHARED)

if(BUILD_STATIC)
  add_library(chipmunk_static STATIC
    ${chipmunk_source_files}
  )
  # Sets chipmunk_static to output "libchipmunk.a" not "libchipmunk_static.a"
  set_target_properties(chipmunk_static PROPERTIES OUTPUT_NAME chipmunk)
  if(INSTALL_STATIC)
    install(TARGETS chipmunk_static ARCHIVE DESTINATION lib)
  endif(INSTALL_STATIC)
endif(BUILD_STATIC)

if(BUILD_SHARED OR INSTALL_STATIC)
  # FIXME: change to PUBLIC_HEADER to allow building frameworks
  install(FILES ${chipmunk_public_header} DESTINATION include/chipmunk)
  install(FILES ${chipmunk_constraint_header} DESTINATION include/chipmunk/constraints)
endif(BUILD_SHARED OR INSTALL_STATIC)

=== debian/changelog ===
chipmunk (5.3.4-1) unstable; urgency=low

  * Initial release. Closes: #623274

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 25 Apr 2011 00:57:19 +0200

=== debian/control ===
Source: chipmunk
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), cmake, dh-buildinfo, quilt,
 freeglut3-dev, libxmu-dev, libxi-dev
Standards-Version: 3.9.2
Homepage: https://code.google.com/p/chipmunk-physics/

Package: chipmunk-dev
Section: libdevel
Architecture: any
Depends: libchipmunk0d1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - devel
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the development libraries and headers.

Package: libchipmunk0d1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libchipmunk0d1-dbg (= ${binary:Version}), chipmunk-dev (= ${binary:Version})
Description: fast and lightweight 2D rigid body physics library in C
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.

Package: libchipmunk0d1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libchipmunk0d1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - debug
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD_TREE=$(CURDIR)/build-tree

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	# Perform an out-of-tree build to keep a clean source tree
	mkdir $(BUILD_TREE)
	cd $(BUILD_TREE) && cmake $(CURDIR)/ \
		-DBUILD_SHARED:BOOL=ON \
		-DBUILD_STATIC:BOOL=ON \
		-DBUILD_DEMOS:BOOL=ON \
		-DINSTALL_SHARED:BOOL=ON \
		-DINSTALL_STATIC:BOOL=ON \
		-DINSTALL_DEMOS:BOOL=ON \
		--debug-output \
		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
		-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
		-DCMAKE_C_FLAGS_RELEASE:STRING="" \
		-DCMAKE_C_FLAGS_DEBUG:STRING="" \
		-DCMAKE_SHARED_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined" \
		-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined"
	touch $@

build: build-stamp
build-stamp: config
	dh_testdir
	cd $(BUILD_TREE); $(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	rm -fr $(BUILD_TREE)
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd $(BUILD_TREE); $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: install

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installman
	dh_link
	dh_strip --dbg-package=libchipmunk0d1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install

## chipmunk 6.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
cmake_policy(SET CMP0001 NEW) # don't use MAKE_BACKWARDS_COMPATIBILITY but policies instead

project(chipmunk)

# to change the prefix, run cmake with the parameter:
#   -D CMAKE_INSTALL_PREFIX=/my/prefix

# to change the build type, run cmake with the parameter:
#   -D CMAKE_BUILD_TYPE=<build-type>
# run "cmake --help-variable CMAKE_BUILD_TYPE" for details
if(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif()

# other options for the build, you can i.e. activate the shared library by passing
#   -D BUILD_SHARED=ON
# to cmake. Other options analog
option(BUILD_DEMOS "Build the demo applications" ON)
option(INSTALL_DEMOS "Install the demo applications" OFF)
option(BUILD_SHARED "Build and install the shared library" ON)
option(BUILD_STATIC "Build as static library" ON)
option(INSTALL_STATIC "Install the static library" ON)

# sanity checks...
if(INSTALL_DEMOS)
  set(BUILD_DEMOS ON FORCE)
endif()

# these need the static lib too
if(BUILD_DEMOS OR INSTALL_STATIC)
  set(BUILD_STATIC ON FORCE)
endif()

if(NOT MSVC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99") # always use gnu99
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -ffast-math") # extend release-profile with fast-math
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall") # extend debug-profile with -Wall
endif()

add_subdirectory(src)

if(BUILD_DEMOS)
  add_subdirectory(Demo)
endif()

=== Demo/CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,22 @@
   ${OPENGL_LIBRARIES}
 )
 
+if(NOT MSVC)
+  list(APPEND chipmunk_demos_libraries m)
+endif(NOT MSVC)
+
 file(GLOB chipmunk_demos_source_files "*.c")
 
 include_directories(${chipmunk_demos_include_dirs})
 add_executable(chipmunk_demos ${chipmunk_demos_source_files})
 target_link_libraries(chipmunk_demos ${chipmunk_demos_libraries})
 
+# Tell MSVC to compile the code as C++.
+if(MSVC)
+  set_source_files_properties(${chipmunk_demos_source_files} PROPERTIES LANGUAGE CXX)
+  set_target_properties(chipmunk_demos PROPERTIES LINKER_LANGUAGE CXX)
+endif(MSVC)
+
 if(INSTALL_DEMOS)
   install(TARGETS chipmunk_demos RUNTIME DESTINATION bin)
 endif(INSTALL_DEMOS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,13 @@
   add_library(chipmunk SHARED
     ${chipmunk_source_files}
   )
+  # Tell MSVC to compile the code as C++.
+  if(MSVC)
+    set_source_files_properties(${chipmunk_source_files} PROPERTIES LANGUAGE CXX)
+    set_target_properties(chipmunk PROPERTIES LINKER_LANGUAGE CXX)
+  endif(MSVC)
   # set the lib's version number
-  set_target_properties(chipmunk PROPERTIES VERSION 5.3.4)
+  set_target_properties(chipmunk PROPERTIES VERSION 6.1.4)
   install(TARGETS chipmunk RUNTIME DESTINATION lib LIBRARY DESTINATION lib)
 endif(BUILD_SHARED)
 
@@ -17,6 +22,11 @@
   add_library(chipmunk_static STATIC
     ${chipmunk_source_files}
   )
+  # Tell MSVC to compile the code as C++.
+  if(MSVC)
+    set_source_files_properties(${chipmunk_source_files} PROPERTIES LANGUAGE CXX)
+    set_target_properties(chipmunk_static PROPERTIES LINKER_LANGUAGE CXX)
+  endif(MSVC)
   # Sets chipmunk_static to output "libchipmunk.a" not "libchipmunk_static.a"
   set_target_properties(chipmunk_static PROPERTIES OUTPUT_NAME chipmunk)
   if(INSTALL_STATIC)

=== debian/changelog ===
chipmunk (6.1.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:50 +0000

chipmunk (6.1.5-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * New upstream release. (Closes: #679199).
  * Bump Debian SONAME to 0d3 for shared lib.
    + Upstream feels it shouldn't be used as a shared lib.
  * Add proper Vcs tags to debian/control.
  * Update Homepage again.
  * Drop build-dep on quilt since this is a source format 3.0 package.
  * Bump debhelper build-dep and compat to 9.
    + Change to dh style rules.
  * Add hardening flags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 12 Jun 2013 05:21:14 -0400

chipmunk (6.1.1-1) UNRELEASED; urgency=low

  * Team upload.
  * New upstream release (Closes: #679199)
  * Add a watch file
  * Switch to new upstream website

 -- Paul Wise <pabs@debian.org>  Thu, 27 Sep 2012 11:34:47 +0800

=== debian/control ===
Source: chipmunk
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
 freeglut3-dev, libxmu-dev, libxi-dev
Standards-Version: 3.9.4
Homepage: http://chipmunk-physics.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/chipmunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/chipmunk/

Package: chipmunk-dev
Section: libdevel
Architecture: any
Depends: libchipmunk0d3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - devel
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the development libraries and headers.

Package: libchipmunk0d3
Architecture: any
Breaks: libchipmunk0d1 (<< 5.3.5)
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libchipmunk0d3-dbg (= ${binary:Version}), chipmunk-dev (= ${binary:Version})
Description: fast and lightweight 2D rigid body physics library in C
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.

Package: libchipmunk0d3-dbg
Section: debug
Priority: extra
Architecture: any
Breaks: libchipmunk0d1-dbg (<< 5.3.5)
Depends: libchipmunk0d3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - debug
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED:BOOL=ON \
		-DBUILD_STATIC:BOOL=ON \
		-DBUILD_DEMOS:BOOL=ON \
		-DINSTALL_SHARED:BOOL=ON \
		-DINSTALL_STATIC:BOOL=ON \
		-DINSTALL_DEMOS:BOOL=ON \
		--debug-output \
		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
		-DCMAKE_C_FLAGS:STRING="$(CFLAGS) $(CPPFLAGS)" \
		-DCMAKE_C_FLAGS_RELEASE:STRING="" \
		-DCMAKE_C_FLAGS_DEBUG:STRING="" \
		-DCMAKE_SHARED_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined" \
		-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined"

override_dh_strip:
	dh_strip --dbg-package=libchipmunk0d3-dbg

=== debian/watch ===
version=3
http://chipmunk-physics.net/release/Chipmunk-([\d]\.x)/Chipmunk-(\d[\d\.]+)\.tgz

## chipmunk 7.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(chipmunk)

# to change the prefix, run cmake with the parameter:
#   -D CMAKE_INSTALL_PREFIX=/my/prefix

# to change the build type, run cmake with the parameter:
#   -D CMAKE_BUILD_TYPE=<build-type>
# run "cmake --help-variable CMAKE_BUILD_TYPE" for details
if(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif()

# to manually select install locations of libraries and executables
#   -D LIB_INSTALL_DIR mylib
#   -D BIN_INSTALL_DIR newbin
set(LIB_INSTALL_DIR lib CACHE STRING "Install location of libraries")
set(BIN_INSTALL_DIR bin CACHE STRING "Install location of executables")

# other options for the build, you can i.e. activate the shared library by passing
#   -D BUILD_SHARED=ON
# to cmake. Other options analog
if(ANDROID)
  option(BUILD_DEMOS "Build the demo applications" OFF)
  option(INSTALL_DEMOS "Install the demo applications" OFF)
  option(BUILD_SHARED "Build and install the shared library" ON)
  option(BUILD_STATIC "Build as static library" ON)
  option(INSTALL_STATIC "Install the static library" OFF)
else()
  option(BUILD_DEMOS "Build the demo applications" ON)
  option(INSTALL_DEMOS "Install the demo applications" OFF)
  option(BUILD_SHARED "Build and install the shared library" ON)
  option(BUILD_STATIC "Build as static library" ON)
  option(INSTALL_STATIC "Install the static library" ON)
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
  option(FORCE_CLANG_BLOCKS "Force enable Clang blocks" YES)
endif()

# sanity checks...
if(INSTALL_DEMOS)
  set(BUILD_DEMOS ON FORCE)
endif()

# these need the static lib too
if(BUILD_DEMOS OR INSTALL_STATIC)
  set(BUILD_STATIC ON FORCE)
endif()

if(NOT MSVC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99") # always use gnu99
  if(FORCE_CLANG_BLOCKS)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fblocks")
  endif()
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -ffast-math") # extend release-profile with fast-math
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall") # extend debug-profile with -Wall
endif()

add_subdirectory(src)

if(BUILD_DEMOS)
  add_subdirectory(demo)
endif()

=== demo/CMakeLists.txt ===
cmake_policy(SET CMP0015 NEW) # Convert relative paths

set(OpenGL_GL_PREFERENCE GLVND)
find_package(OpenGL REQUIRED)

set(chipmunk_demos_include_dirs
	${chipmunk_SOURCE_DIR}/include
	${OPENGL_INCLUDE_DIR}
)

set(chipmunk_demos_libraries
	chipmunk_static
	${OPENGL_LIBRARIES}
)

file(GLOB chipmunk_demos_source_files "*.c")

if(APPLE)
	FIND_LIBRARY(APPKIT AppKit)
	FIND_LIBRARY(IOKIT IOKit)
	
	list(APPEND chipmunk_demos_libraries ${APPKIT} ${IOKIT})
	list(APPEND chipmunk_demos_source_files "sokol/sokol.m")
	set_property(SOURCE "sokol/sokol.m" APPEND_STRING PROPERTY COMPILE_FLAGS "-fobjc-arc")
else()
	list(APPEND chipmunk_demos_source_files "sokol/sokol.c")
endif(APPLE)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	list(APPEND chipmunk_demos_libraries dl X11)
endif()

if(NOT MSVC)
	list(APPEND chipmunk_demos_libraries m pthread)
endif(NOT MSVC)

if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
	list(APPEND chipmunk_demos_libraries BlocksRuntime)
endif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")

include_directories(${chipmunk_demos_include_dirs})
link_directories(${chipmunk_demos_library_dirs})
add_executable(chipmunk_demos ${chipmunk_demos_source_files})
target_link_libraries(chipmunk_demos ${chipmunk_demos_libraries})

# Tell MSVC to compile the code as C++.
if(MSVC)
	set_source_files_properties(${chipmunk_demos_source_files} PROPERTIES LANGUAGE CXX)
	set_target_properties(chipmunk_demos PROPERTIES LINKER_LANGUAGE CXX)
endif(MSVC)

if(INSTALL_DEMOS)
	install(TARGETS chipmunk_demos RUNTIME DESTINATION bin)
endif(INSTALL_DEMOS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,15 @@
-file(GLOB chipmunk_source_files "*.c" "constraints/*.c")
+file(GLOB chipmunk_source_files "*.c")
 file(GLOB chipmunk_public_header "${chipmunk_SOURCE_DIR}/include/chipmunk/*.h")
-file(GLOB chipmunk_constraint_header "${chipmunk_SOURCE_DIR}/include/chipmunk/constraints/*.h")
 
-include_directories(${chipmunk_SOURCE_DIR}/include/chipmunk)
+include_directories(${chipmunk_SOURCE_DIR}/include)
+
+# Chipmunk2D 7.0.3
+set(CHIPMUNK_VERSION_MAJOR 7)
+set(CHIPMUNK_VERSION_MINOR 0)
+set(CHIPMUNK_VERSION_PATCH 3)
+set(CHIPMUNK_VERSION "${CHIPMUNK_VERSION_MAJOR}.${CHIPMUNK_VERSION_MINOR}.${CHIPMUNK_VERSION_PATCH}")
+message("Configuring Chipmunk2D version ${CHIPMUNK_VERSION}")
+
 
 if(BUILD_SHARED)
   add_library(chipmunk SHARED
@@ -14,8 +21,19 @@
     set_target_properties(chipmunk PROPERTIES LINKER_LANGUAGE CXX)
   endif(MSVC)
   # set the lib's version number
-  set_target_properties(chipmunk PROPERTIES VERSION 6.1.4)
-  install(TARGETS chipmunk RUNTIME DESTINATION lib LIBRARY DESTINATION lib)
+  # But avoid on Android because symlinks to version numbered .so's don't work with Android's Java-side loadLibrary.
+  if(NOT ANDROID)
+    set_target_properties(chipmunk PROPERTIES
+      SOVERSION ${CHIPMUNK_VERSION_MAJOR}
+      VERSION ${CHIPMUNK_VERSION})
+  endif(NOT ANDROID)
+  if(ANDROID OR UNIX)
+	  # need to explicitly link to the math library because the CMake/Android toolchains may not do it automatically
+	  target_link_libraries(chipmunk m)
+  endif(ANDROID OR UNIX)
+  install(TARGETS chipmunk RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+                           LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+                           ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 endif(BUILD_SHARED)
 
 if(BUILD_STATIC)
@@ -30,7 +48,7 @@
   # Sets chipmunk_static to output "libchipmunk.a" not "libchipmunk_static.a"
   set_target_properties(chipmunk_static PROPERTIES OUTPUT_NAME chipmunk)
   if(INSTALL_STATIC)
-    install(TARGETS chipmunk_static ARCHIVE DESTINATION lib)
+    install(TARGETS chipmunk_static ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
   endif(INSTALL_STATIC)
 endif(BUILD_STATIC)

=== debian/changelog ===
chipmunk (7.0.3-3) unstable; urgency=medium

  * Stop including sys/sysctl.h. Closes: #967981.
  * Drop the libchipmunk-dbg migration, it was never uploaded to the
    archives.
  * Switch to debhelper compatibility level 13.
  * Stop suggesting chipmunk-dev, it’s a transitional package.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Oct 2020 11:15:31 +0200

chipmunk (7.0.3-2) unstable; urgency=medium

  * Only tweak examples on arch builds, the files are only present then.
    Thanks to Andreas Beckmann for spotting the bug and providing the
    fix. Closes: #958536.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Apr 2020 18:12:26 +0200

chipmunk (7.0.3-1) experimental; urgency=low

  [ Andrew Kelley ]
  * add symbols file
  * add examples
  * enable multi arch
  * use GNUInstallDirs in cmake
  * simplify rules file
  * install upstream changelog
  * update copyright format
  * build with git-buildpackage and pristine-tar
  * update to new upstream on GitHub
  * install documentation

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Simon McVittie ]
  * Correct Vcs-* URLs (again) to point to salsa.debian.org

  [ Stephen Kitt ]
  * New upstream release. Closes: #956794.
  * Add myself to “Uploaders”.
  * Switch to debhelper compatibility level 12.
  * Fix example installation: skip .gitignore, disable compression, fix
    permissions.
  * Configure gbp to use pristine-tar by default.
  * Specify Priority “optional” instead of “extra”.
  * Drop obsolete -dbg package.
  * Ship the development files in libchipmunk-dev rather than chipmunk-
    dev; the latter is now a transitional package.
  * Add a “Build-Depends-Package” entry to the symbols file.
  * Set “Rules-Requires-Root: no”.
  * Enable all hardening options.
  * Drop the unused dh-buildinfo build-dependency.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Apr 2020 18:14:56 +0200

=== debian/control ===
Source: chipmunk
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bdefreese@debian.org>,
 Andrew Kelley <superjoe30@gmail.com>,
 Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
 , cmake
 , libgl1-mesa-dev | libgl-dev
 , libxrandr-dev
Standards-Version: 4.5.0
Section: libs
Homepage: https://chipmunk-physics.net/
Vcs-Git: https://salsa.debian.org/games-team/chipmunk.git
Vcs-Browser: https://salsa.debian.org/games-team/chipmunk
Rules-Requires-Root: no

Package: libchipmunk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libchipmunk7 (= ${binary:Version}), ${misc:Depends}
Breaks: chipmunk-dev (<< 7.0.3-1~)
Replaces: chipmunk-dev (<< 7.0.3-1~)
Description: Fast and lightweight 2D rigid body physics library (development files)
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the development files.

Package: libchipmunk7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: fast and lightweight 2D rigid body physics library in C
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.

Package: chipmunk-dev
Section: oldlibs
Architecture: all
Depends: libchipmunk-dev, ${misc:Depends}
Description: fast, lightweight 2D rigid body physics library, transitional package
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This is a transitional package providing the development files, and
 can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_compress:
	dh_compress -Xexamples

override_dh_installchangelogs:
	dh_installchangelogs -k VERSION.txt

override_dh_installexamples-arch:
	dh_installexamples -X.gitignore
	chmod 644 debian/libchipmunk-dev/usr/share/doc/libchipmunk-dev/examples/*.h

%:
	dh $@

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\?(debian|dfsg|ds|deb)\d*$//,\
filenamemangle=s/.*\/(?:Chipmunk-)?v?([\d\.-]+)\.tar\.gz/chipmunk-$1.tar.gz/ \
 https://github.com/slembcke/Chipmunk2D/tags .*/archive/(?:Chipmunk-)?v?([\d\.]+).tar.gz
